## ros-melodic-rosbag 1.14.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosbag)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS rosbag_storage rosconsole roscpp std_srvs topic_tools xmlrpcpp)
find_package(Boost REQUIRED COMPONENTS date_time regex program_options filesystem)
find_package(BZip2 REQUIRED)

catkin_python_setup()

# Support large bags (>2GB) on 32-bit systems
add_definitions(-D_FILE_OFFSET_BITS=64)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS}
  ${BZIP2_INCLUDE_DIR}
)

catkin_package(
  LIBRARIES rosbag
  INCLUDE_DIRS include
  CATKIN_DEPENDS rosbag_storage rosconsole roscpp std_srvs topic_tools xmlrpcpp)

add_library(rosbag
  src/player.cpp
  src/recorder.cpp
  src/time_translator.cpp)

target_link_libraries(rosbag ${catkin_LIBRARIES} ${Boost_LIBRARIES}
  ${BZIP2_LIBRARIES}
)

add_executable(record src/record.cpp)
target_link_libraries(record rosbag)

add_executable(play src/play.cpp)
target_link_libraries(play rosbag)

if(NOT WIN32)
  add_executable(encrypt src/encrypt.cpp)
  target_link_libraries(encrypt ${catkin_LIBRARIES})
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")
install(TARGETS rosbag
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(TARGETS record play
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
if(NOT WIN32)
  install(TARGETS encrypt
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
endif()
catkin_install_python(PROGRAMS
  scripts/bag2png.py
  scripts/bagsort.py
  scripts/fastrebag.py
  scripts/fixbag.py
  scripts/fixbag_batch.py
  scripts/fix_md5sums.py
  scripts/fix_moved_messages.py
  scripts/fix_msg_defs.py
  scripts/makerule.py
  scripts/savemsg.py
  scripts/topic_renamer.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== debian/changelog ===
ros-melodic-rosbag (1.14.10-1stretch) stretch; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Gracefully stop recording upon SIGTERM and SIGINT (#2038 <https://github.com/ros/ros_comm/issues/2038>)
  * Contributors: Devin Bonnie, Jacob Perron, Shane Loretz, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.9-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Aug 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.8-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.7-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.6-1stretch) stretch; urgency=high

  * fix bag migration failures caused by typo in connection_header assignment (#1952 <https://github.com/ros/ros_comm/issues/1952>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.4-1stretch) stretch; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * add quotes around file name so they can be click selected in terminal (#1813 <https://github.com/ros/ros_comm/issues/1813>)
  * catch exceptions by const ref (#1874 <https://github.com/ros/ros_comm/issues/1874>)
  * read GPG passphrase from an environment variable (#1856 <https://github.com/ros/ros_comm/issues/1856>)
  * fix missing import of roslib (#1818 <https://github.com/ros/ros_comm/issues/1818>)
  * fix regression from pycrypodome switchover (#1814 <https://github.com/ros/ros_comm/issues/1814>)
  * use condition attributes to specify Python 2 and 3 dependencies (#1792 <https://github.com/ros/ros_comm/issues/1792>)
  * add pycryptodome as default (#1609 <https://github.com/ros/ros_comm/issues/1609>)
  * encrypted rosbag fixes for Python 3 (#1777 <https://github.com/ros/ros_comm/issues/1777>)
  * fix bug in bag migration (#1786 <https://github.com/ros/ros_comm/issues/1786>)
  * keep latched topics latched (#1708 <https://github.com/ros/ros_comm/issues/1708>)
  * wrap the rosbag filter eval in a lambda (#1712 <https://github.com/ros/ros_comm/issues/1712>)
  * record: fix signed int overflow (#1741 <https://github.com/ros/ros_comm/issues/1741>)
  * switch to yaml.safe_load(_all) to prevent YAMLLoadWarning (#1688 <https://github.com/ros/ros_comm/issues/1688>)
  * pickleable rosbag exceptions (#1210 <https://github.com/ros/ros_comm/issues/1210> revisited). (#1652 <https://github.com/ros/ros_comm/issues/1652>)
  * fix topic message count for rosbag indexed v1.2 (#1648 <https://github.com/ros/ros_comm/issues/1648>)
  * fix wrong error handling in migration (#1639 <https://github.com/ros/ros_comm/issues/1639>)
  * modernization: replaced BOOST_FOREACH with range-based for-loops, used algorithm where appropriated (#1641 <https://github.com/ros/ros_comm/issues/1641>)
  * fix IOError during Python file operation (#1617 <https://github.com/ros/ros_comm/issues/1617>)
  * add Windows.h usage explicitly (#44 <https://github.com/ros/ros_comm/issues/44>) (#1616 <https://github.com/ros/ros_comm/issues/1616>)
  * fix waitForSubscribers hanging with simtime (#1543 <https://github.com/ros/ros_comm/issues/1543>)
  * publish last message from latch topics when start time > 0 (#1537 <https://github.com/ros/ros_comm/issues/1537>)
  * add a new option to publish when a bag write begin (#1527 <https://github.com/ros/ros_comm/issues/1527>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 08:00:00 -0000

ros-melodic-rosbag (1.14.3-1stretch) stretch; urgency=high

  * restore API compatibility (#1473 <https://github.com/ros/ros_comm/issues/1473>) (regression from 1.14.0)
  * throw BagException when disk is full (#1451 <https://github.com/ros/ros_comm/issues/1451>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 07:00:00 -0000

ros-melodic-rosbag (1.14.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-melodic-rosbag (1.14.1-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosbag (1.14.0-1stretch) stretch; urgency=high

  * keep connection header info in rosbag filter/compress (#1372 <https://github.com/ros/ros_comm/issues/1372>)
  * implement bag encryption/decryption (#1206 <https://github.com/ros/ros_comm/issues/1206>)
  * add TransportHint options --tcpnodelay and --udp (#1295 <https://github.com/ros/ros_comm/issues/1295>)
  * fix check for header first in rosbag play for rate control topic (#1352 <https://github.com/ros/ros_comm/issues/1352>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosbag (1.13.6-1stretch) stretch; urgency=high

  * return an error status on error in rosbag (#1257 <https://github.com/ros/ros_comm/issues/1257>)
  * fix warn of --max-splits without --split (#1237 <https://github.com/ros/ros_comm/issues/1237>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-melodic-rosbag (1.13.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-melodic-rosbag (1.13.4-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-rosbag (1.13.3-1stretch) stretch; urgency=high

  * fix publishing of selected topics from bag file (#1156 <https://github.com/ros/ros_comm/issues/1156>)
  * fix Python 3 compatibility (#1150 <https://github.com/ros/ros_comm/issues/1150>)



=== debian/control ===
Source: ros-melodic-rosbag
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, python-imaging, ros-melodic-catkin (>= 0.5.78), ros-melodic-cpp-common, ros-melodic-rosbag-storage, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-std-srvs, ros-melodic-topic-tools, ros-melodic-xmlrpcpp
Homepage: http://wiki.ros.org/rosbag
Standards-Version: 3.9.2

Package: ros-melodic-rosbag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, python-gnupg, python-pycryptodome, python-rospkg, ros-melodic-genmsg, ros-melodic-genpy, ros-melodic-rosbag-storage, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-std-srvs, ros-melodic-topic-tools, ros-melodic-xmlrpcpp
Description: This is a set of tools for recording from and playing back to ROS topics.
 It is intended to be high performance and avoids deserialization and reserialization of the messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rosbag//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-rosbag 1.14.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 if(NOT WIN32)
   add_executable(encrypt src/encrypt.cpp)
-  target_link_libraries(encrypt ${catkin_LIBRARIES})
+  target_link_libraries(encrypt ${catkin_LIBRARIES} ${Boost_LIBRARIES})
 endif()
 
 install(DIRECTORY include/${PROJECT_NAME}/

=== debian/changelog ===
ros-melodic-rosbag (1.14.13-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-melodic-rosbag (1.14.12-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 07:00:00 -0000

ros-melodic-rosbag (1.14.11-1bionic) bionic; urgency=high

  * Handle SIGINT in rosbag play (#2150 <https://github.com/ros/ros_comm/issues/2150>)
  * Catch all exceptions in record thread (#2151 <https://github.com/ros/ros_comm/issues/2151>)
  * Add missing Boost (#2108 <https://github.com/ros/ros_comm/issues/2108>)
  * Start player in paused state (#2086 <https://github.com/ros/ros_comm/issues/2086>)
  * Contributors: Francisco Vina, Martin Pecka, Timo Röhling, pseyfert

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-melodic-rosbag (1.14.10-1bionic) bionic; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Gracefully stop recording upon SIGTERM and SIGINT (#2038 <https://github.com/ros/ros_comm/issues/2038>)
  * Contributors: Devin Bonnie, Jacob Perron, Shane Loretz, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.9-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Aug 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.8-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.7-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.6-1bionic) bionic; urgency=high

  * fix bag migration failures caused by typo in connection_header assignment (#1952 <https://github.com/ros/ros_comm/issues/1952>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-rosbag (1.14.4-1bionic) bionic; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * add quotes around file name so they can be click selected in terminal (#1813 <https://github.com/ros/ros_comm/issues/1813>)
  * catch exceptions by const ref (#1874 <https://github.com/ros/ros_comm/issues/1874>)
  * read GPG passphrase from an environment variable (#1856 <https://github.com/ros/ros_comm/issues/1856>)
  * fix missing import of roslib (#1818 <https://github.com/ros/ros_comm/issues/1818>)
  * fix regression from pycrypodome switchover (#1814 <https://github.com/ros/ros_comm/issues/1814>)
  * use condition attributes to specify Python 2 and 3 dependencies (#1792 <https://github.com/ros/ros_comm/issues/1792>)
  * add pycryptodome as default (#1609 <https://github.com/ros/ros_comm/issues/1609>)
  * encrypted rosbag fixes for Python 3 (#1777 <https://github.com/ros/ros_comm/issues/1777>)
  * fix bug in bag migration (#1786 <https://github.com/ros/ros_comm/issues/1786>)
  * keep latched topics latched (#1708 <https://github.com/ros/ros_comm/issues/1708>)
  * wrap the rosbag filter eval in a lambda (#1712 <https://github.com/ros/ros_comm/issues/1712>)
  * record: fix signed int overflow (#1741 <https://github.com/ros/ros_comm/issues/1741>)
  * switch to yaml.safe_load(_all) to prevent YAMLLoadWarning (#1688 <https://github.com/ros/ros_comm/issues/1688>)
  * pickleable rosbag exceptions (#1210 <https://github.com/ros/ros_comm/issues/1210> revisited). (#1652 <https://github.com/ros/ros_comm/issues/1652>)
  * fix topic message count for rosbag indexed v1.2 (#1648 <https://github.com/ros/ros_comm/issues/1648>)
  * fix wrong error handling in migration (#1639 <https://github.com/ros/ros_comm/issues/1639>)
  * modernization: replaced BOOST_FOREACH with range-based for-loops, used algorithm where appropriated (#1641 <https://github.com/ros/ros_comm/issues/1641>)
  * fix IOError during Python file operation (#1617 <https://github.com/ros/ros_comm/issues/1617>)
  * add Windows.h usage explicitly (#44 <https://github.com/ros/ros_comm/issues/44>) (#1616 <https://github.com/ros/ros_comm/issues/1616>)
  * fix waitForSubscribers hanging with simtime (#1543 <https://github.com/ros/ros_comm/issues/1543>)
  * publish last message from latch topics when start time > 0 (#1537 <https://github.com/ros/ros_comm/issues/1537>)
  * add a new option to publish when a bag write begin (#1527 <https://github.com/ros/ros_comm/issues/1527>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 08:00:00 -0000

ros-melodic-rosbag (1.14.3-1bionic) bionic; urgency=high

  * restore API compatibility (#1473 <https://github.com/ros/ros_comm/issues/1473>) (regression from 1.14.0)
  * throw BagException when disk is full (#1451 <https://github.com/ros/ros_comm/issues/1451>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 07:00:00 -0000

ros-melodic-rosbag (1.14.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-melodic-rosbag (1.14.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosbag (1.14.0-1bionic) bionic; urgency=high

  * keep connection header info in rosbag filter/compress (#1372 <https://github.com/ros/ros_comm/issues/1372>)
  * implement bag encryption/decryption (#1206 <https://github.com/ros/ros_comm/issues/1206>)
  * add TransportHint options --tcpnodelay and --udp (#1295 <https://github.com/ros/ros_comm/issues/1295>)
  * fix check for header first in rosbag play for rate control topic (#1352 <https://github.com/ros/ros_comm/issues/1352>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosbag (1.13.6-1bionic) bionic; urgency=high



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Jacob Perron <jacob@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, python-imaging, ros-melodic-catkin (>= 0.5.78), ros-melodic-cpp-common, ros-melodic-rosbag-storage, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-std-srvs, ros-melodic-topic-tools, ros-melodic-xmlrpcpp
+Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, python-pil, ros-melodic-catkin (>= 0.5.78), ros-melodic-cpp-common, ros-melodic-rosbag-storage, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-std-srvs, ros-melodic-topic-tools, ros-melodic-xmlrpcpp
 Homepage: http://wiki.ros.org/rosbag
 Standards-Version: 3.9.2
